Get Payment By Order ID

This endpoint retrieves an individual payment along with its order details. **Connection Timeouts** | Timeout | Time (Seconds) | |---------|----------------| | Open | 10 | | Read | 20 |

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

orderIdstringRequired
The unique ID of the Cash App Afterpay Order, for which a Payment event has been completed.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

Returns a Payment object in response.
idstring
The unique, permanent, Cash App Afterpay generated Order ID.
tokenstring
The token obtained from the checkout call
statusenum
represents the status of the order
Allowed values:
createdstring
is the UTC timestamp of when the payment was completed.
originalAmountobject
Object containing amount and currency
openToCaptureAmountobject
Object containing amount and currency
paymentStateenumRead-only
is the current state for capturing payments
merchantReferencestring

is the merchant’s order id/reference that the payment corresponds to.

refundslist of objects
orderDetailsobject
This comprehensive schema is designed to store an entire transaction's detail, covering crucial aspects like consumer information, billing and shipping details, courier particulars, item list, discounts, tax, and shipping amount.
eventslist of objects

Errors

404
Not Found Error